net.minecraftforge.client.gui

## Class ForgeGuiFactory.ForgeConfigGui.AddModOverrideEntry

- java.lang.Object
- - cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase
  - - cpw.mods.fml.client.config.GuiConfigEntries.CategoryEntry
    - - net.minecraftforge.client.gui.ForgeGuiFactory.ForgeConfigGui.AddModOverrideEntry

- All Implemented Interfaces:
    GuiConfigEntries.IConfigEntry, GuiListExtended.IGuiListEntry
  Enclosing class:
    ForgeGuiFactory.ForgeConfigGui

      public static class ForgeGuiFactory.ForgeConfigGui.AddModOverrideEntry
      extends GuiConfigEntries.CategoryEntry

  This custom list entry provides a button that will open to a screen that will allow a user to define a new mod override.

- - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfigEntries.CategoryEntry

      `btnSelectCategory, childScreen`

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase

      `btnDefault, btnUndoChanges, configElement, defaultHoverChecker, defaultToolTip, drawLabel, isValidValue, mc, name, owningEntryList, owningScreen, toolTip, tooltipHoverChecker, undoHoverChecker, undoToolTip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeGuiFactory.ForgeConfigGui.AddModOverrideEntry(GuiConfig owningScreen, GuiConfigEntries owningEntryList, IConfigElement prop)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected GuiScreen` | `buildChildScreen()` This method is called in the constructor and is used to set the childScreen field.
    `boolean` | `isChanged()` Has the value of this entry changed?

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfigEntries.CategoryEntry

      `drawEntry, drawToolTip, enabled, getCurrentValue, getCurrentValues, getEntryRightBound, getLabelWidth, isDefault, keyTyped, mouseClicked, mousePressed, mouseReleased, saveConfigElement, setToDefault, undoChanges, updateCursorCounter`

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase

      `getConfigElement, getName, onGuiClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForgeGuiFactory.ForgeConfigGui.AddModOverrideEntry

          public ForgeGuiFactory.ForgeConfigGui.AddModOverrideEntry(GuiConfig owningScreen,
                                                            GuiConfigEntries owningEntryList,
                                                            IConfigElement prop)

  - ### Method Detail

    - #### buildChildScreen

          protected GuiScreen buildChildScreen()

      Description copied from class: `GuiConfigEntries.CategoryEntry`
      This method is called in the constructor and is used to set the childScreen field.
      Overrides:
        `buildChildScreen` in class `GuiConfigEntries.CategoryEntry`

    - #### isChanged

          public boolean isChanged()

      Description copied from interface: `GuiConfigEntries.IConfigEntry`
      Has the value of this entry changed?
      Specified by:
        `isChanged` in interface `GuiConfigEntries.IConfigEntry`
      Overrides:
        `isChanged` in class `GuiConfigEntries.CategoryEntry`
      Returns:
        true if changes have been made to this entry's value, false otherwise.